Advanced Server Access
/- Add a Client Configuration Option
List all Projects
Create a Project
Retrieve a Project
Updates the details of a Project
Delete a Project
List all Client Configuration Options
Delete a Client Configuration Option
List all Cloud Accounts
Add a Cloud Account
Retrieve a Cloud Account
Update a Cloud Account
Remove a Cloud Account
Retrieve a Cloud Account
List all Groups in a Project
Add a Group to a Project
Retrieve a Group in a Project
Update a Group in a Project
Remove a Group from a Project
List all Preauthorizations
Create a Preauthorization
Retrieve a Preauthorization
Update a Preauthorization
List all Server Enrollment Tokens
Create a Server Enrollment Token
Retrieve a Server Enrollment Token
Delete a Server Enrollment Token
List all Server Users for a Project
Retrieve a Server User for a Project
List all Servers in a Project
Add an Unmanaged Server to a Project
Retrieve a Server from a Project
Update a Server for a Project
Remove a Server from a Project
Add a Client Configuratio...
Admin roles:
- access_admin
Adds a Client Configuration Option to a Project. Use Client Configuration Options to automatically pass settings to any Client that accesses a Server within the Project.
Security
bearerAuth
The name of the Client Configuration Option
Enum:"ssh.port_forward_method""forward_client_trust.enable""ssh.insecure_forward_agent"
- Production serverhttps://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/client_config_options
curl -i -X POST \
'https://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/client_config_options' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"config_key": "ssh.insecure_forward_agent",
"config_value": "host",
"id": ""
}'OK
The name of the Client Configuration Option
Enum:"ssh.port_forward_method""forward_client_trust.enable""ssh.insecure_forward_agent"
Response
{ "config_key": "ssh.insecure_forward_agent", "config_value": "host", "id": "ec74cb65-b413-4c02-a6f7-7d08dca1ff73" }